require "import"
import "java.io.File"
import "android.widget.Toast"
import "android.view.Gravity"
import "android.speech.tts.TextToSpeech"
import "com.androlua.LuaDialog"
import "android.location.Address"
import "android.widget.TextView"
import "android.widget.Button"
import "android.widget.EditText"
import "android.widget.ListView"
import "android.widget.LinearLayout"
import "android.R$id"
import "android.net.Uri"
import "android.content.Intent"
import "initial_layout"
import "Archive_Layout"
import "Developer_layout"

activity.setTheme(Theme_DeviceDefault_NoActionBar)
activity.setContentView(loadlayout(initial_layout))
activity.setTitle("QS记事本")

Bubble = Toast.makeText(this,"功能开发中",Toast.LENGTH_LONG).setGravity(Gravity.CENTER, 0, 0)
--当用户点击一个未完善的功能按钮时可以显示一个 Toast 提示。
Toast.makeText(this,"欢迎使用",Toast.LENGTH_SHORT).setGravity(Gravity.CENTER, 0, 0).show()
--欢迎语。

local DLG_Developer_layout = LuaDialog().setView(loadlayout(Developer_layout)).setButton1("关闭")
--联系方式列表对话框。
local DLG_Archive_Layout = LuaDialog().setView(loadlayout(Archive_Layout)).setButton1("取消").setButton3("存档",function()
  --保存配置对话框。
  if ID_File_Address.Text == "" then
    --判断地址编辑框中如果没有输入。
    User_directory = "/storage/emulated/0/记事本 QS-Notepad/"
   else
    User_directory = ID_File_Address.Text
  end
  function ID_Notepad_Title.onClick()
    --理想状态用户点击文档名编辑框时尝试创建用户自定义路径中的文件夹，但未能完全实现，目前只有在文档名编辑框内有内容的情况下才管用，原因不明。
    File(User_directory).mkdir()
  end
  if ID_Notepad_Title.Text == "" then
    --判断文档名编辑框中如果没有文字。
    Rename = "QS Notepad"..os.date("(%Y-%m-%d %H:%M:%S)")
   else
    Rename = ID_Notepad_Title.Text
  end
  local Address = User_directory..Rename..".txt"
  --开始执行保存程序。
  io.output(Address)
  io.write(ID_Qishao_Notepad.Text)
  io.flush()
  io.close()
  Toast.makeText(this,"成功；保存在"..Address,Toast.LENGTH_LONG).setGravity(Gravity.CENTER, 0, 0).show()
end)

function ID_Read_aloud.onClick()
  --当用户点击听按钮时。
  if ID_Qishao_Notepad.Text == "" then
    --判断文档编辑框中如果没有字。
    QS_Notepad = "笨蛋,你能不能先输入哪怕一个字？一个字都没有你让我拿什么读给你听？"
   else
    QS_Notepad = ID_Qishao_Notepad.Text
  end
  local TTS=TextToSpeech(activity,function()
    --初始化。
  end)
  task(500,function()
    --用系统 TTS 朗读文档编辑框中的文本。
    TTS.speak(QS_Notepad,0,nil)
  end)
end

function ID_Archive.onClick()
  --当用户点击存按钮时。
  DLG_Archive_Layout.show()
  --显示保存配置对话框。
  if File("/storage/emulated/0/记事本 QS-Notepad").exists() then
    --检查 记事本 QS-Notepad 文件夹是否存在不在就创建。
   else
    File("/storage/emulated/0/记事本 QS-Notepad").mkdir()
  end
end

function ID_Call_developer.onClick()
  DLG_Developer_layout.show()
end

function ID_Developer.onItemClick(L,V,P,I)
  Toast.makeText(this,"马上就好",Toast.LENGTH_SHORT).setGravity(Gravity.CENTER, 0, 0).show()
  DLG_Developer_layout.hide()
  if I == 1 then
    this.startActivity(Intent(Intent.ACTION_VIEW, Uri.parse("mqqwpa://im/chat?chat_type=wpa&uin=2148501244")))
   elseif I == 2 then
    this.startActivity(Intent(Intent.ACTION_VIEW, Uri.parse("mqqapi://card/show_pslcard?src_type=internal&version=1&uin=923077531&card_type=group&source=qrcode")))
  end
end